Subject: Re: bug#16207: 24.3.50; emacs_backtrace.txt

From: martin rudalics <[email-masked]>
Date: Sun, 22 Dec 2013 16:37:36 +0100

> I think I know what's causing it.  But I have to do some testing
 > before checking in a fix.

Rather than spending hours to test this I checked in a fix.  This way we
should find out soon enough whether it breaks anything else.

In this context I wonder what the variable inhibit_lisp_code stands for.
Initially, it was called inhibit_window_configuration_change_hook and
did exactly what its name said.  Then it moved to eval.c, got its new
name, but still does what it did before.  So if we want this to really
inihibit running Lisp code we should obey it in each and every hook
(although I fail to understand why we can't bind Vrun_hooks instead).
Otherwise, we should probably give it back its initial name to avoid
confusions.  WDYT?

martin